Skip to main content
GET
/
subcontractors
/
{id}
/
prequalifications
/
{prequalId}
cURL
curl --request GET \
  --url https://api.buildpass.global/subcontractors/{id}/prequalifications/{prequalId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-BuildPass-Api-Version: <x-buildpass-api-version>'
{
  "id": "prequal_clgbsb90b001qjy0f0eo1hspp",
  "createdAt": "2023-10-03T23:19:35.771Z",
  "updatedAt": "2023-10-03T23:19:35.771Z",
  "status": "WAITING_REVIEW",
  "reviewComments": "Needs further documentation."
}

Documentation Index

Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-BuildPass-Api-Version
enum<string>
default:v1
required

What API version to use.

Available options:
v1
Example:

"v1"

Path Parameters

id
string
required
Example:

"sub_clgbsb90b001qjy0f0eo1hspp"

prequalId
string
required
Example:

"prequal_clgbsb90b001qjy0f0eo1hspp"

Response

A prequalification object

id
string
Example:

"prequal_clgbsb90b001qjy0f0eo1hspp"

createdAt
string<date-time>
Example:

"2023-10-03T23:19:35.771Z"

updatedAt
string<date-time>
Example:

"2023-10-03T23:19:35.771Z"

status
enum<string>
Available options:
APPROVED,
REJECTED,
WAITING_REVIEW,
SENT
Example:

"WAITING_REVIEW"

reviewComments
string
Example:

"Needs further documentation."